Skip to main content
PUT
/
v1
/
team
/
{id}
/
assign-user
cURL
curl --request PUT \
  --url https://api.nuvia.ai/v1/team/{id}/assign-user
{
  "_id": {},
  "name": "<string>",
  "acronym": "<string>",
  "company": {
    "_id": {},
    "name": "<string>",
    "channels": [],
    "agent_flows": [
      {
        "_id": {},
        "name": "<string>",
        "url": "<string>",
        "specialist_url": "<string>"
      }
    ],
    "description": "<string>",
    "general_config": {}
  },
  "users": [
    {
      "_id": {},
      "name": "<string>",
      "email": "<string>",
      "password": "<string>",
      "company": {},
      "mustChangePassword": true,
      "permissions": {},
      "personal_contacts": {}
    }
  ],
  "description": "<string>",
  "default_agent": {
    "_id": {},
    "name": "<string>",
    "agent_flow": {
      "_id": {},
      "name": "<string>",
      "url": "<string>",
      "specialist_url": "<string>"
    },
    "prompts": {
      "service_prompt": "<string>",
      "name": "<string>",
      "role": "<string>",
      "mission": "<string>",
      "personality": [
        {}
      ],
      "communication_style": [
        {}
      ],
      "rules": [
        {}
      ]
    },
    "company": {
      "_id": {},
      "name": "<string>",
      "channels": [],
      "agent_flows": [
        {
          "_id": {},
          "name": "<string>",
          "url": "<string>",
          "specialist_url": "<string>"
        }
      ],
      "description": "<string>",
      "general_config": {}
    },
    "model_config": {},
    "general_config": {},
    "specialist_config": {},
    "knowledge_base": [
      {}
    ],
    "avatar_color": "<string>",
    "avatar_initials": "<string>",
    "personality_presets": [],
    "steps": [
      {
        "_id": {},
        "name": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "order": 123,
        "agent": "<unknown>",
        "company": {
          "_id": {},
          "name": "<string>",
          "channels": [],
          "agent_flows": [
            {
              "_id": {},
              "name": "<string>",
              "url": "<string>",
              "specialist_url": "<string>"
            }
          ],
          "description": "<string>",
          "general_config": {}
        },
        "mentions": [
          {}
        ],
        "general_config": {
          "disable_followups": true
        }
      }
    ]
  }
}

Path Parameters

id
string
required

Response

200 - application/json
_id
object
required
name
string
required
acronym
string
required
company
object
required
users
object[]
required
description
string
default_agent
object